Bug 907765 - [RFE] 'IP address' column under Instances is confusing - presents both public and private IP of the VM (and the user cannot distinguish between them)
[RFE] 'IP address' column under Instances is confusing - presents both public...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
2.1
Unspecified Unspecified
low Severity low
: ---
: 4.0
Assigned To: Julie Pichon
Nir Magnezi
: FutureFeature, Improvement, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 03:34 EST by Yaniv Kaul
Modified: 2016-04-26 19:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 04:51:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2013-02-05 03:34:24 EST
Description of problem:
Seen on 'dropbear' (the internal OpenStack deployment).
My VM got an IP of 192.168.x.y (which was it's internal IP) and a public IP of 10.a.b.d - which is the IP you use to SSH to. However, a user who is not familiar with the network topology would not have known which IP to use when connecting via SSH.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Julie Pichon 2013-02-14 13:04:45 EST
Apparently, it is possible to get that information by doing "nova floating-ip-list". The "Fixed IP" column in that output indicates the "internal" IP. However at the moment it's not possible to get it from the instance information (Server() object) returned by the nova client (not sure if the information is available from nova at the instance level, or if they both need to be updated).

As far as I can tell though, this only applies to nova-network. When using quantum, the floating-ip-list returns empty. The user creates a network and associates it with the instance at launch time, and it's the only IP that is displayed on the list (unless they manually create and select multiple networks). Someone more experienced with Quantum might want to confirm this is the way it works.
Comment 3 Julie Pichon 2013-02-19 12:55:57 EST
A new nova extension was added in grizzly to figure out the type of an IP: https://review.openstack.org/#/c/21453/
Comment 5 Julie Pichon 2013-08-06 03:45:47 EDT
Note that this is close to the default behaviour when using Quantum/Neutron (see comments 3 and 4 on bug 888995), which indicates the network name besides the IP. At the moment, there is no plans upstream to add the same functionality when using nova-network.
Comment 6 Julie Pichon 2013-08-19 04:51:19 EDT
If networks are named meaningfully, this is not an issue when using Neutron. Nova networking is on its way to deprecation ([0]) so it probably doesn't make much sense to spend time on integrating it better, when it's about to be removed.

[0] https://blueprints.launchpad.net/nova/+spec/deprecate-nova-network

Note You need to log in before you can comment on or make changes to this bug.